<?php
###############################################################################
# Dashboard.php
#
#
# @author Anil Kumar <akumar@codepunch.com>
# @link   https://codepunch.com
#
############################################################################### 

namespace 	CodePunch\UI\Modules;

use 		CodePunch\Base\Util as UTIL;
use			CodePunch\Base\Text as TEXT;
use 		Exception;

###############################################################################

class Dashboard  {

	###########################################################################
	
	public function get($auth) 
	{		
		$connection_error = "";
		$pagecontent = array();
		if($auth) {
			$folder = UTIL::get_install_folder_path();
			$homefile = $folder . "lib/layouts/modules/dashboard/dashboard.htm";
			$datafile = $folder . "lib/layouts/modules/dashboard/dashboard.inc.htm";
			$pagecontent['home'] = file_get_contents($homefile);
			$pagecontent['body'] = file_get_contents($datafile);
			$pagecontent['heading'] = "<h1>" . TEXT::get("Domain Dashboard") . "</h1><p>Centralized overview of domains, expirations, and SSL health</p>";
		}
		else {
			$pagecontent['body'] = "<p>" . $connection_error . "</p>";
			$pagecontent['heading'] = "<h1>" . TEXT::get("Problem") . "</h1>";
		}
		return $pagecontent;
	}
	
	###########################################################################
}
